최종 업데이트
크리에이터
저장된 크리에이터 프로필, 변경 내역, 팔로우 관계, 분석.
모든 작업은 API key로 인증하며 (Authorization: Bearer <key>) 오류 응답은 다음 문서에서 설명하는 공통 오류 형식을 따릅니다: 오류. 이 페이지는 API의 OpenAPI 문서에서 생성되었습니다.
TikTok LIVE 에이전시 목록 조회
/v1/agenciesTikTok LIVE 에이전시(공개 에이전시 프로필 기준). 이름 또는 공식 핸들, 지역, 공개 프로필 여부로 검색하고 규모(hostCountMin), 수익 구간(monthlyDiamondMin), 최신순 또는 이름순으로 정렬합니다. 구간은 TikTok 자체의 범위입니다. 연락처는 에이전시가 공개한 정보만 표시합니다.
쿼리 파라미터
| Name | Type | Description |
|---|---|---|
qOptional | string | 에이전시 이름의 일부 또는 공식 핸들. |
regionOptional | string | 지역 그룹(예: VN, US+, MENA). |
publicOnlyOptional | boolean | 공개 프로필이 있는 에이전시만. |
sortOptional | "size" | "revenue" | "recent" | "name" | size, revenue, recent 또는 name.Default: size |
limitOptional | integer | 최대 행 수. 범위 …–200. Default: 50 |
offsetOptional | integer | 건너뛸 행 수. Default: 0 |
요청
curl "https://api.next.toktokdata.live/v1/agencies" \ -H "Authorization: Bearer $ROOMSCOPE_API_KEY"응답
{ "data": { "agencies": [ { "agencyId": "108474", "name": "Look Corporation", "regions": [ "KR" ], "onboardedOn": "2025-03-01", "official": { "uid": "7012345678901234567", "handle": "look.corp", "nickname": "Look Corporation", "avatarUrl": null, "followers": 12500 }, "intro": "A TikTok LIVE agency based in Korea.", "services": [ "1_on_1_support", "live_skills_training" ], "contact": { "website": "https://example.com" }, "hostCountBand": "101-200", "agentCountBand": "11-50", "monthlyDiamondBand": "1M-5M", "hostCountMin": 101, "monthlyDiamondMin": 1000000, "hasPublicProfile": true, "lastSeenAt": "2026-10-24T05:34:33.738Z" } ], "total": 1, "offset": 0 }, "provenance": { "observedAt": "2026-10-24T05:34:33.738Z", "freshness": "stale", "source": "public_creator_profile", "sourceKind": "derived", "coverageStatus": "partial", "methodologyVersion": "agency-directory-v1", "window": null }}오류
400파라미터 또는 본문이 잘못되었습니다.code에 문제가 표시됩니다.401API key가 없거나 알 수 없는 key입니다.402워크스페이스의 크레딧 지갑으로 이 호출을 처리할 수 없습니다.resetAt에 크레딧이 초기화되는 시점이 나와 있습니다.403key에 필요한 스코프가 없거나, 요금제에 해당 기능이 포함되어 있지 않습니다.429요청 속도를 초과했습니다(초당, 분당 또는 일일).Retry-After를 따르세요.
TikTok LIVE 에이전시 조회
/v1/agencies/{agency_id}디렉터리의 에이전시 하나(GET /v1/agencies 목록과 같은 형식).
경로 파라미터
| Name | Type | Description |
|---|---|---|
agency_idRequired | string | TikTok 에이전시 ID. |
요청
curl "https://api.next.toktokdata.live/v1/agencies/agency_id" \ -H "Authorization: Bearer $ROOMSCOPE_API_KEY"응답
{ "data": { "agencyId": "108474", "name": "Look Corporation", "regions": [ "KR" ], "onboardedOn": "2025-03-01", "official": { "uid": "7012345678901234567", "handle": "look.corp", "nickname": "Look Corporation", "avatarUrl": null, "followers": 12500 }, "intro": "A TikTok LIVE agency based in Korea.", "services": [ "1_on_1_support", "live_skills_training" ], "contact": { "website": "https://example.com" }, "hostCountBand": "101-200", "agentCountBand": "11-50", "monthlyDiamondBand": "1M-5M", "hostCountMin": 101, "monthlyDiamondMin": 1000000, "hasPublicProfile": true, "lastSeenAt": "2026-10-24T05:34:33.738Z" }, "provenance": { "observedAt": "2026-10-24T05:34:33.738Z", "freshness": "stale", "source": "public_creator_profile", "sourceKind": "derived", "coverageStatus": "partial", "methodologyVersion": "agency-directory-v1", "window": null }}오류
400파라미터 또는 본문이 잘못되었습니다.code에 문제가 표시됩니다.401API key가 없거나 알 수 없는 key입니다.402워크스페이스의 크레딧 지갑으로 이 호출을 처리할 수 없습니다.resetAt에 크레딧이 초기화되는 시점이 나와 있습니다.403key에 필요한 스코프가 없거나, 요금제에 해당 기능이 포함되어 있지 않습니다.429요청 속도를 초과했습니다(초당, 분당 또는 일일).Retry-After를 따르세요.
크리에이터 검색
/v1/creators핸들 또는 표시 이름의 일부로 대소문자 구분 없이 검색하며, 팔로워가 많은 순으로 반환합니다. q가 비어 있으면 저장된 전체 목록을 탐색합니다.
쿼리 파라미터
| Name | Type | Description |
|---|---|---|
qOptional | string | 핸들(@ 포함 또는 제외) 또는 표시 이름의 일부. |
limitOptional | integer | 최대 결과 수. 범위 1–100. Default: 20 |
요청
curl "https://api.next.toktokdata.live/v1/creators" \ -H "Authorization: Bearer $ROOMSCOPE_API_KEY"응답
{ "data": { "query": "linh.live", "results": [ { "tiktokUserId": "990000000000000001", "uniqueId": "linh.live", "displayName": "Linh Live", "region": "VN", "avatarUrl": null, "followerCount": 123456, "verified": true } ] }, "provenance": { "observedAt": "2026-11-01T10:36:44.935Z", "freshness": "near_realtime", "source": "public_creator_profile", "sourceKind": "derived", "coverageStatus": "observed", "methodologyVersion": "creators-v1", "window": null }}오류
400파라미터 또는 본문이 잘못되었습니다.code에 문제가 표시됩니다.401API key가 없거나 알 수 없는 key입니다.402워크스페이스의 크레딧 지갑으로 이 호출을 처리할 수 없습니다.resetAt에 크레딧이 초기화되는 시점이 나와 있습니다.403key에 필요한 스코프가 없거나, 요금제에 해당 기능이 포함되어 있지 않습니다.429요청 속도를 초과했습니다(초당, 분당 또는 일일).Retry-After를 따르세요.
크리에이터 프로필 조회
/v1/creators/{uid}저장된 공개 프로필과 최근 카운터 기록. 아직 저장되지 않았거나 오래전에 저장된 크리에이터는 TikTok에서 조회합니다: 몇 초 이상 걸리면 status: resolving, jobId, retryAfterSeconds(Retry-After도)와 함께 202를 반환하며, 그때 다시 요청하면 프로필이 있습니다. status: saturated(202)는 조회가 너무 많다는 뜻이고, TikTok이 모르는 핸들은 404이며 10분간 다시 조회하지 않습니다. 503 resolve_unavailable은 지금 TikTok을 읽을 수 없다는 뜻입니다.
경로 파라미터
| Name | Type | Description |
|---|---|---|
uidRequired | string | @를 제외한 크리에이터 핸들(linh.live) 또는 숫자로 된 TikTok 사용자 ID. |
요청
curl "https://api.next.toktokdata.live/v1/creators/linh.live" \ -H "Authorization: Bearer $ROOMSCOPE_API_KEY"응답
{ "data": { "creator": { "tiktokUserId": "990000000000000001", "uniqueId": "linh.live", "secUid": null, "displayName": "Linh Live", "region": "VN", "language": null, "signature": "Daily LIVE from Hanoi", "avatarUrl": null, "followerCount": 123456, "followingCount": 321, "awemeCount": 3, "totalFavorited": 9876543, "favoritingCount": null, "verified": true, "customVerify": null, "enterpriseVerifyReason": null, "instagramId": null, "youtubeChannelId": null, "twitterId": null, "firstSeenAt": "2026-10-02T10:51:44.935Z", "lastRefreshedAt": "2026-11-01T10:36:44.935Z", "history": [] } }, "provenance": { "observedAt": "2026-11-01T10:36:44.935Z", "freshness": "near_realtime", "source": "public_creator_profile", "sourceKind": "derived", "coverageStatus": "observed", "methodologyVersion": "creators-v1", "window": null }}오류
400파라미터 또는 본문이 잘못되었습니다.code에 문제가 표시됩니다.401API key가 없거나 알 수 없는 key입니다.402워크스페이스의 크레딧 지갑으로 이 호출을 처리할 수 없습니다.resetAt에 크레딧이 초기화되는 시점이 나와 있습니다.403key에 필요한 스코프가 없거나, 요금제에 해당 기능이 포함되어 있지 않습니다.429요청 속도를 초과했습니다(초당, 분당 또는 일일).Retry-After를 따르세요.
크리에이터의 동영상 분석
/v1/creators/{uid}/analysis저장된 동영상만으로 계산한 참여 보고서: 합계, 중앙값, 게시 주기. read는 가장 의미 있는 것부터 최대 다섯 개의 간단한 문장이며, 각각 params가 있는 code(engagement, reach, growth, cadence, posting-gap, breakout, audience-language)로 클라이언트가 자기 언어로 표현합니다. limits는 보고서가 다루지 않는 부분과 문장이 빠진 이유를 알려 줍니다.
경로 파라미터
| Name | Type | Description |
|---|---|---|
uidRequired | string | @를 제외한 크리에이터 핸들(linh.live) 또는 숫자로 된 TikTok 사용자 ID. |
요청
curl "https://api.next.toktokdata.live/v1/creators/linh.live/analysis" \ -H "Authorization: Bearer $ROOMSCOPE_API_KEY"응답
{ "data": { "creator": { "tiktokUserId": "990000000000000001", "uniqueId": "linh.live", "displayName": "Linh Live", "avatarUrl": null, "region": "VN", "verified": true, "followerCount": 123456, "followingCount": 321, "awemeCount": 3, "totalFavorited": 9876543, "firstSeenAt": "2026-10-02T10:51:44.935Z", "lastRefreshedAt": "2026-11-01T10:36:44.935Z" }, "sample": { "videosAnalyzed": 3, "oldestVideoAt": "2026-10-29T10:51:44.935Z", "newestVideoAt": "2026-10-31T10:51:44.935Z", "spanDays": 2, "shareOfCatalog": 1 }, "engagement": { "totalPlays": 60000, "totalLikes": 6000, "totalComments": 600, "totalShares": 0, "avgPlays": 20000, "medianPlays": 20000, "avgLikes": 2000, "avgComments": 200, "avgShares": 0, "engagementRate": 0.11, "likeRate": 0.1, "commentRate": 0.01, "shareRate": 0, "viewsPerFollower": 0.162 }, "read": [ { "code": "engagement", "params": { "rate": 0.11, "band": "typical" } }, { "code": "reach", "params": { "ratio": 0.162, "band": "most-followers" } }, { "code": "growth", "params": { "delta": 1840, "rate": 0.0371, "days": 29.8, "direction": "up" } }, { "code": "cadence", "params": { "postsPerWeek": 7, "busiestWeekday": 4 } } ], "cadence": { "postsPerWeek": 7, "avgDaysBetweenPosts": 1, "longestGapDays": 1, "busiestWeekday": 4, "postsByWeekday": [ 0, 0 ] }, "topByPlays": [ { "videoId": "7990000000000000003", "description": "Video 3", "createTime": "2026-10-29T10:51:44.935Z", "playCount": 30000, "diggCount": 3000, "commentCount": 300, "shareCount": null, "engagementRate": 0.11 }, { "videoId": "7990000000000000002", "description": "Video 2", "createTime": "2026-10-30T10:51:44.935Z", "playCount": 20000, "diggCount": 2000, "commentCount": 200, "shareCount": null, "engagementRate": 0.11 } ], "topByEngagement": [ { "videoId": "7990000000000000001", "description": "Video 1", "createTime": "2026-10-31T10:51:44.935Z", "playCount": 10000, "diggCount": 1000, "commentCount": 100, "shareCount": null, "engagementRate": 0.11 }, { "videoId": "7990000000000000002", "description": "Video 2", "createTime": "2026-10-30T10:51:44.935Z", "playCount": 20000, "diggCount": 2000, "commentCount": 200, "shareCount": null, "engagementRate": 0.11 } ], "audience": null, "growth": null, "limits": [ { "code": "thin-video-sample", "message": "Only 3 video(s) analysed — too few to describe the account's typical performance." }, { "code": "single-observation", "message": "This account has been observed only once, so no follower growth can be shown yet." } ] }, "provenance": { "observedAt": "2026-11-01T10:36:44.935Z", "freshness": "near_realtime", "source": "derived_creator_analysis", "sourceKind": "derived", "coverageStatus": "partial", "methodologyVersion": "analysis-v1", "window": null }}오류
400파라미터 또는 본문이 잘못되었습니다.code에 문제가 표시됩니다.401API key가 없거나 알 수 없는 key입니다.402워크스페이스의 크레딧 지갑으로 이 호출을 처리할 수 없습니다.resetAt에 크레딧이 초기화되는 시점이 나와 있습니다.403key에 필요한 스코프가 없거나, 요금제에 해당 기능이 포함되어 있지 않습니다.429요청 속도를 초과했습니다(초당, 분당 또는 일일).Retry-After를 따르세요.
프로필 변경 내역 목록 조회
/v1/creators/{uid}/changes시간에 따라 관측된 핸들, 이름, 소개, 인증 상태 변경, 최신순.
경로 파라미터
| Name | Type | Description |
|---|---|---|
uidRequired | string | @를 제외한 크리에이터 핸들(linh.live) 또는 숫자로 된 TikTok 사용자 ID. |
쿼리 파라미터
| Name | Type | Description |
|---|---|---|
limitOptional | integer | 최대 변경 내역 수. 범위 1–200. Default: 50 |
요청
curl "https://api.next.toktokdata.live/v1/creators/linh.live/changes" \ -H "Authorization: Bearer $ROOMSCOPE_API_KEY"응답
{ "data": { "tiktokUserId": "990000000000000001", "uniqueId": "linh.live", "changes": [] }, "provenance": { "observedAt": "2026-10-02T10:51:44.935Z", "freshness": "stale", "source": "public_creator_profile", "sourceKind": "derived", "coverageStatus": "partial", "methodologyVersion": "creators-v1", "window": null }}오류
400파라미터 또는 본문이 잘못되었습니다.code에 문제가 표시됩니다.401API key가 없거나 알 수 없는 key입니다.402워크스페이스의 크레딧 지갑으로 이 호출을 처리할 수 없습니다.resetAt에 크레딧이 초기화되는 시점이 나와 있습니다.403key에 필요한 스코프가 없거나, 요금제에 해당 기능이 포함되어 있지 않습니다.429요청 속도를 초과했습니다(초당, 분당 또는 일일).Retry-After를 따르세요.
크리에이터의 팔로워 목록 조회
/v1/creators/{uid}/followers저장된 팔로워. 팔로잉과 같은 구조입니다.
경로 파라미터
| Name | Type | Description |
|---|---|---|
uidRequired | string | @를 제외한 크리에이터 핸들(linh.live) 또는 숫자로 된 TikTok 사용자 ID. |
쿼리 파라미터
| Name | Type | Description |
|---|---|---|
cursorOptional | string | 이전 페이지의 nextCursor에서 받은 불투명 커서. |
limitOptional | integer | 페이지당 항목 수. |
요청
curl "https://api.next.toktokdata.live/v1/creators/linh.live/followers" \ -H "Authorization: Bearer $ROOMSCOPE_API_KEY"응답
{ "data": { "tiktokUserId": "990000000000000001", "uniqueId": "linh.live", "direction": "following", "entries": [], "nextCursor": null, "hasMore": false, "totalReported": null, "storedCount": 0, "isPrivate": false }, "provenance": { "observedAt": "2026-11-01T11:18:49.084Z", "freshness": "stale", "source": "public_follow_graph", "sourceKind": "derived", "coverageStatus": "not-covered", "methodologyVersion": "follow-list-v1", "window": null }}오류
400파라미터 또는 본문이 잘못되었습니다.code에 문제가 표시됩니다.401API key가 없거나 알 수 없는 key입니다.402워크스페이스의 크레딧 지갑으로 이 호출을 처리할 수 없습니다.resetAt에 크레딧이 초기화되는 시점이 나와 있습니다.403key에 필요한 스코프가 없거나, 요금제에 해당 기능이 포함되어 있지 않습니다.429요청 속도를 초과했습니다(초당, 분당 또는 일일).Retry-After를 따르세요.
크리에이터가 팔로우하는 계정 목록 조회
/v1/creators/{uid}/following저장된 팔로우 관계. 비공개 계정은 isPrivate: true와 빈 항목을 반환합니다.
경로 파라미터
| Name | Type | Description |
|---|---|---|
uidRequired | string | @를 제외한 크리에이터 핸들(linh.live) 또는 숫자로 된 TikTok 사용자 ID. |
쿼리 파라미터
| Name | Type | Description |
|---|---|---|
cursorOptional | string | 이전 페이지의 nextCursor에서 받은 불투명 커서. |
limitOptional | integer | 페이지당 항목 수. |
요청
curl "https://api.next.toktokdata.live/v1/creators/linh.live/following" \ -H "Authorization: Bearer $ROOMSCOPE_API_KEY"응답
{ "data": { "tiktokUserId": "990000000000000001", "uniqueId": "linh.live", "direction": "following", "entries": [], "nextCursor": null, "hasMore": false, "totalReported": null, "storedCount": 0, "isPrivate": false }, "provenance": { "observedAt": "2026-11-01T11:18:49.084Z", "freshness": "stale", "source": "public_follow_graph", "sourceKind": "derived", "coverageStatus": "not-covered", "methodologyVersion": "follow-list-v1", "window": null }}오류
400파라미터 또는 본문이 잘못되었습니다.code에 문제가 표시됩니다.401API key가 없거나 알 수 없는 key입니다.402워크스페이스의 크레딧 지갑으로 이 호출을 처리할 수 없습니다.resetAt에 크레딧이 초기화되는 시점이 나와 있습니다.403key에 필요한 스코프가 없거나, 요금제에 해당 기능이 포함되어 있지 않습니다.429요청 속도를 초과했습니다(초당, 분당 또는 일일).Retry-After를 따르세요.
크리에이터의 상위 후원자 조회
/v1/creators/{uid}/gifters최근 7일 또는 30일 동안 크리에이터의 LIVE 방에서 선물한 후원자를 다이아몬드 기준으로 정렬합니다: 선물 수, 세션 수, 마지막 선물, 그리고 마지막으로 선물한 방의 크리에이터. RoomScope가 기록한 세션에서 읽으므로 커버리지는 항상 partial입니다. Pro 요금제 이상이 필요합니다.
경로 파라미터
| Name | Type | Description |
|---|---|---|
uidRequired | string | @를 제외한 크리에이터 핸들(linh.live) 또는 숫자로 된 TikTok 사용자 ID. |
쿼리 파라미터
| Name | Type | Description |
|---|---|---|
windowOptional | "7d" | "30d" | 7d 또는 30d.Default: 7d |
limitOptional | integer | 최대 행 수. 범위 …–100. Default: 20 |
요청
curl "https://api.next.toktokdata.live/v1/creators/linh.live/gifters" \ -H "Authorization: Bearer $ROOMSCOPE_API_KEY"응답
{ "data": { "creatorUid": "7012345678901234567", "uniqueId": "linh.live", "window": "7d", "gifters": [ { "gifterUserId": "6987001122334455667", "gifterUniqueId": "minh.fan", "gifterNickname": "Minh", "avatarUrl": null, "diamondTotal": 18450, "giftCount": 312, "sessions": 4, "lastGiftAt": "2026-11-02T15:41:07.512Z", "lastRoomCreator": "linh.live" } ] }, "provenance": { "observedAt": "2026-11-02T15:41:07.512Z", "freshness": "historical", "source": "platform_observed_gifter_events", "sourceKind": "derived", "coverageStatus": "partial", "methodologyVersion": "gifters-observed-v1", "window": { "from": "2026-10-27T04:00:00.000Z", "to": "2026-11-03T04:00:00.000Z", "label": "7d" } }}오류
400파라미터 또는 본문이 잘못되었습니다.code에 문제가 표시됩니다.401API key가 없거나 알 수 없는 key입니다.402워크스페이스의 크레딧 지갑으로 이 호출을 처리할 수 없습니다.resetAt에 크레딧이 초기화되는 시점이 나와 있습니다.403key에 필요한 스코프가 없거나, 요금제에 해당 기능이 포함되어 있지 않습니다.429요청 속도를 초과했습니다(초당, 분당 또는 일일).Retry-After를 따르세요.
크리에이터 인사이트 조회
/v1/creators/{uid}/insights핸들 기록, 최근 30일의 일별 다이아몬드(최신순), 일별 리그 스냅샷, 크리에이터의 LIVE 방. liveExact는 그날의 점수를 보드 초기화 시점에 읽었을 때 true이며, 그렇지 않으면 liveScore는 그날 읽은 가장 높은 점수입니다. observedCoins는 RoomScope가 크리에이터의 LIVE 세션에서 기록한 다이아몬드를 집계합니다. 변경된 핸들도 별칭 기록을 통해 계속 조회됩니다.
경로 파라미터
| Name | Type | Description |
|---|---|---|
uidRequired | string | @를 제외한 크리에이터 핸들(linh.live) 또는 숫자로 된 TikTok 사용자 ID. |
요청
curl "https://api.next.toktokdata.live/v1/creators/linh.live/insights" \ -H "Authorization: Bearer $ROOMSCOPE_API_KEY"응답
{ "data": { "creator": { "uid": "6990000000000000001", "uniqueId": "linh.live" }, "aliases": [ { "uniqueId": "linh.live", "firstSeenAt": "2026-10-12T09:15:02.118Z", "lastSeenAt": "2026-11-01T14:02:41.530Z" }, { "uniqueId": "linh.official", "firstSeenAt": "2026-09-30T11:40:19.004Z", "lastSeenAt": "2026-10-12T08:55:47.912Z" } ], "daily": [ { "boardDay": "2026-10-31", "countryCode": "VN", "tiktokScore": 184250, "observedCoins": 171932, "liveScore": 184250, "liveExact": true, "leagueClass": "B2" }, { "boardDay": "2026-10-30", "countryCode": "VN", "tiktokScore": 97410, "observedCoins": null, "liveScore": 97410, "liveExact": false, "leagueClass": "B2" } ], "league": [ { "day": "2026-10-31", "leagueClass": "B2", "leagueRank": 14, "leagueCountry": "VN", "followers": 412880 } ], "roomOwner": { "roomId": "7432000000000000001", "ownerUid": "6990000000000000001", "ownerUniqueId": "linh.live", "claimantUid": null, "reason": "claim_confirmed", "checkedAt": "2026-11-01T14:00:03.221Z" } }, "provenance": { "observedAt": "2026-11-01T14:02:41.530Z", "freshness": "near_realtime", "source": "creator_analytics", "sourceKind": "derived", "coverageStatus": "observed", "methodologyVersion": "creator-analytics-v1", "window": { "from": "2026-10-02T14:02:41.530Z", "to": "2026-11-01T14:02:41.530Z", "label": "30d" } }}오류
400파라미터 또는 본문이 잘못되었습니다.code에 문제가 표시됩니다.401API key가 없거나 알 수 없는 key입니다.402워크스페이스의 크레딧 지갑으로 이 호출을 처리할 수 없습니다.resetAt에 크레딧이 초기화되는 시점이 나와 있습니다.403key에 필요한 스코프가 없거나, 요금제에 해당 기능이 포함되어 있지 않습니다.429요청 속도를 초과했습니다(초당, 분당 또는 일일).Retry-After를 따르세요.
LIVE 최적 시간 조회
/v1/insights/best-time최근 windowDays일 동안 한 지역에서 기록된 LIVE 세션의 다이아몬드와 후원자-시간을 요일(0 = 월요일)과 UTC 시간대별로 보여 줍니다. 매일 다시 계산되며, 해당 지역에 기록된 데이터가 없으면 cells는 비어 있습니다.
쿼리 파라미터
| Name | Type | Description |
|---|---|---|
regionOptional | string | ISO 3166-1 alpha-2 지역 코드. Default: VN |
요청
curl "https://api.next.toktokdata.live/v1/insights/best-time" \ -H "Authorization: Bearer $ROOMSCOPE_API_KEY"응답
{ "data": { "region": "VN", "windowDays": 28, "computedAt": "2026-11-01T01:00:04.870Z", "cells": [ { "weekday": 0, "hour": 12, "diamonds": 418230, "gifterHours": 1874 }, { "weekday": 0, "hour": 13, "diamonds": 652910, "gifterHours": 2410 }, { "weekday": 0, "hour": 14, "diamonds": 701455, "gifterHours": 2689 } ] }, "provenance": { "observedAt": "2026-11-01T01:00:04.870Z", "freshness": "near_realtime", "source": "creator_analytics", "sourceKind": "derived", "coverageStatus": "observed", "methodologyVersion": "creator-analytics-v1", "window": { "from": "2026-10-04T01:00:04.870Z", "to": "2026-11-01T01:00:04.870Z", "label": "28d" } }}오류
400파라미터 또는 본문이 잘못되었습니다.code에 문제가 표시됩니다.401API key가 없거나 알 수 없는 key입니다.402워크스페이스의 크레딧 지갑으로 이 호출을 처리할 수 없습니다.resetAt에 크레딧이 초기화되는 시점이 나와 있습니다.403key에 필요한 스코프가 없거나, 요금제에 해당 기능이 포함되어 있지 않습니다.429요청 속도를 초과했습니다(초당, 분당 또는 일일).Retry-After를 따르세요.
시간별 LIVE 현황 조회
/v1/insights/presence시간대별로 해당 지역에서 추적 중인 랭킹 크리에이터 중 몇 명이 방송 중이었는지, 오래된 순.
쿼리 파라미터
| Name | Type | Description |
|---|---|---|
regionOptional | string | ISO 3166-1 alpha-2 지역 코드. Default: VN |
hoursOptional | integer | 조회할 과거 시간 수. 범위 1–168. Default: 48 |
요청
curl "https://api.next.toktokdata.live/v1/insights/presence" \ -H "Authorization: Bearer $ROOMSCOPE_API_KEY"응답
{ "data": { "region": "VN", "hours": 48, "points": [ { "hourStart": "2026-11-01T12:00:00.000Z", "liveCreators": 214, "trackedCreators": 1630 }, { "hourStart": "2026-11-01T13:00:00.000Z", "liveCreators": 251, "trackedCreators": 1642 }, { "hourStart": "2026-11-01T14:00:00.000Z", "liveCreators": 268, "trackedCreators": 1655 } ] }, "provenance": { "observedAt": "2026-11-01T14:05:01.402Z", "freshness": "near_realtime", "source": "creator_analytics", "sourceKind": "derived", "coverageStatus": "observed", "methodologyVersion": "creator-analytics-v1", "window": { "from": "2026-10-30T14:05:01.402Z", "to": "2026-11-01T14:05:01.402Z", "label": "48h" } }}오류
400파라미터 또는 본문이 잘못되었습니다.code에 문제가 표시됩니다.401API key가 없거나 알 수 없는 key입니다.402워크스페이스의 크레딧 지갑으로 이 호출을 처리할 수 없습니다.resetAt에 크레딧이 초기화되는 시점이 나와 있습니다.403key에 필요한 스코프가 없거나, 요금제에 해당 기능이 포함되어 있지 않습니다.429요청 속도를 초과했습니다(초당, 분당 또는 일일).Retry-After를 따르세요.